package cn.estsh.i3plus.ext.mes.pcn.apiservice.controller.busi.offlinesn;

import cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.offlineprint.MesOfflinePrintServiceImpl;
import cn.estsh.i3plus.ext.mes.pcn.pojo.constant.MesCommonConstant;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@Api(tags = "离线条码打印")
@RequestMapping(MesCommonConstant.MES_YANFEN + "/offline/print")
@Slf4j
public class MesWuhanOfflinePrintController {

    @Autowired
    private MesOfflinePrintServiceImpl mesOfflinePrintService;
    @GetMapping("/cust-sn/{custSn}/{templateCode}/{organizeCode}")
    public ResultBean custSn(@PathVariable("custSn") String custSn,@PathVariable("templateCode") String templateCode,@PathVariable("organizeCode") String organizeCode) {

        Map<String, Object> custSnOfflineInfo = null;
        try {
            custSnOfflineInfo = mesOfflinePrintService.getCustSnOfflineInfo(custSn, templateCode, organizeCode);
        } catch (Exception e) {
          ResultBean.fail().setErrorMsg(e.getMessage());
        }
        return ResultBean.success("查询成功").setResultMap(custSnOfflineInfo);
    }
}
